%define name perl-Data-Dump
%define module Data-Dump
%define version 0.04
%define release 3mdk

Summary: 	Pretty printing of data structures
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Development/Perl
Source:		http://www.cpan.org/authors/id/GAAS/%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot: 	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires: 	perl >= 5.600

%description
Pretty printing of data structures

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} 
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1


%files
%defattr(-,root,root)
%doc README Changes
%{_libdir}/perl5/man/man3/*
%{_libdir}/perl5/site_perl/5.6.1/Data
%{perl_sitearch}/auto/Data

%changelog
* Mon Nov 12 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-3mdk
- Remove Distribution tag.
- Rebuild to fix invalid-packager and no-url-tag warnings.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.04-2mdk
- BuildRequires: perl-devel

* Wed Jun 20 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.04-1mdk
- First Mandrake release.
- Needed by eGrail
